AI resources
Create order

This endpoint allows to create an order in "manual" mode for payment flows with Checkout Pro. In case of success, the request will return a response with status 201 and a checkout_url to redirect the buyer.

POST

https://api.mercadopago.com/v1/orders
Request parameters
Header
Authorization
string

REQUIRED

Access token to authenticate the request. For more information, see the [Authentication](https://www.mercadopago.com/developers/en/docs/your-integrations/credentials) documentation.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as creating two identical orders. To ensure that each
Body
type
string

REQUIRED

Order type, associated with the Mercado Pago solution for which it is created. For payments with Checkout Pro, the only possible value is "online".
online: Value associated with the creation of orders with Checkout Pro.
total_amount
string

REQUIRED

Total amount to be paid. Must equal the sum of all items[].unit_price multiplied by items[].quantity values. The field can contain two decimal places or none.
external_reference
string
It is an external reference of the order. It can be, for example, a hashcode from the Central Bank, functioning as an identifier of the transaction origin. This field must have a maximum of 64 characters and can only be
processing_mode
string

REQUIRED

Order processing mode. For payments with Checkout Pro, the only possible value is "manual".
manual: Order's processing will be made manually. This mode is used by Checkout Pro, allowing the order to be processed later through its payment flow.
Response parameters
id
string
Identifier of the order created in the request, automatically generated by Mercado Pago.
type
string
Order type, associated with the Mercado Pago solution for which it is created. For payments with Checkout Pro, the only possible value is "online".
processing_mode
string

REQUIRED

Order processing mode. For payments with Checkout Pro, the only possible value is "manual".
manual: Order's processing will be made manually. This mode is used by Checkout Pro, allowing the order to be processed later through its payment flow.
status
string
Current status of the order.
created: The order has been created successfully.
processed: All transactions have been successfully processed.
action_required: Integrator action is required to complete processing. For example, the capture of an authorized payment.
Errors

400Request error.

empty_required_header

The "X-Idempotency-Key" header is required and was not sent. Make the request again including it.

invalid_idempotency_key_length

The value sent in the "X-Idempotency-Key" header exceeded the allowed size. The header accepts values between 1 and 128 characters.

required_properties

There are some required properties missing. Check the message returned in the error details to find out what the problem was and try again.

order_items_total_amount_mismatch

The value entered in "total_amount" is not equivalent to the sum of `items[].unit_price` multiplied by `items[].quantity` across all items. Please verify if the values are correct.

unsupported_properties

An unsupported property was sent. Check the message returned in the error details to find out what the problem was and try again.

property_value

An incorrect value for some property was sent. Check the message returned in the error details to find out what the problem was and try again.

property_type

The wrong property type was submitted. For example, an "integer" value for a "string" property. Check the message returned in the error details to find out what the problem was and try again.

json_syntax_error

An incorrect JSON was sent. Check the message returned in the error details to find out what the problem was and try again.

minimum_properties

The minimum number of properties required to execute the request was not sent. Check the message returned in the error details to find out what the problem was and try again.

idempotency_validation_failed

Validation failed. Please try submitting the request again.

invalid_email_for_sandbox

Email format is invalid for sandbox environment, must contains "@testuser.com".

401Error. Access Token not authorized.

401

The value sent as Access Token is incorrect. Please check and try again with the correct value.

invalid_credentials

There is no support for test credentials. Use test users with production credentials for the sandbox environment and your production credentials for the production environment.

409Some specific system rule does not allow the action to be performed due to defined restrictions.

idempotency_key_already_used

The value sent as the idempotency header ("X-Idempotency-Key") has already been used. Please try the request again sending a new value.

422Unprocessable entity. The request is well-formed but cannot be processed.

unprocessable_entity

The request could not be processed. Missing user identification or the payload does not meet the required conditions.

423Resource locked.

resource_locked

Idempotency Key Locked. Please retry after some time.

500Generic error.

internal_error

Generic error. Please try submitting the request again.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/orders'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer ' \
       -H 'X-Idempotency-Key: 772b4325-7605-4c94-8191-8b5bf2f50184' \
    -d '{
  "type": "online",
  "total_amount": "50.00",
  "external_reference": "ext_ref_1234",
  "processing_mode": "manual",
  "capture_mode": "automatic_async",
  "marketplace_fee": "11.20",
  "expiration_time": "P1D",
  "payer": {
    "email": "test@testuser.com",
    "first_name": "Lucía",
    "last_name": "Torres",
    "phone": {
      "area_code": "11",
      "number": "999998888"
    },
    "identification": {
      "type": "CPF",
      "number": "12345678909"
    },
    "address": {
      "zip_code": "15073",
      "street_number": "276",
      "neighborhood": "San Isidro",
      "city": "Lima"
    }
  },
  "config": {
    "statement_descriptor": "MYSTORE",
    "default_payment_due_date": "P1D",
    "online": {
      "available_from": "2026-01-01T00:00:00Z",
      "allowed_user_type": "account_only",
      "success_url": "https://www.example.com/success",
      "failure_url": "https://www.example.com/failure",
      "pending_url": "https://www.example.com/pending",
      "auto_return": "approved",
      "tracks": [
        {
          "type": "google_ad",
          "values": {
            "conversion_id": "21312312312123",
            "conversion_label": "TEST",
            "pixel_id": "21312312312123"
          }
        }
      ]
    },
    "payment_method": {
      "max_installments": 12,
      "not_allowed_ids": [
        "amex"
      ],
      "not_allowed_types": [
        "credit_card"
      ],
      "installments": {
        "interest_free": {
          "type": "range",
          "values": [
            2,
            6
          ]
        }
      }
    }
  },
  "items": [
    {
      "external_code": "ITEM-001",
      "title": "Product 001",
      "description": "Product description",
      "category_id": "travels",
      "picture_url": "https://example.com/img.jpg",
      "quantity": 1,
      "unit_price": "1000.00",
      "type": "travel",
      "warranty": false,
      "event_date": "2014-06-28T16:53:03.176-04:00"
    }
  ],
  "additional_info": {
    "payer.registration_date": "2020-01-15T00:00:00.000-03:00",
    "payer.authentication_type": "MOBILE",
    "payer.is_prime_user": false,
    "payer.is_first_purchase_online": false,
    "payer.last_purchase": "2025-12-01T00:00:00.000-03:00",
    "travel.passengers": [
      {
        "first_name": "John",
        "last_name": "Smith",
        "identification_type": "DNI",
        "identification_number": "12345678909",
        "item_references": [
          "ITEM-001"
        ]
      }
    ],
    "travel.routes": [
      {
        "departure": "SAO",
        "destination": "RIO",
        "departure_date_time": "2026-03-10T08:00:00.000-03:00",
        "arrival_date_time": "2026-03-10T09:00:00.000-03:00",
        "company": "TAM",
        "item_references": [
          "ITEM-001"
        ]
      }
    ]
  },
  "description": "Smartphone"
}'
Response
{
  "id": "ORDTST01KS5AJ6HTK2HRQ3XJ3C2JCKP9",
  "type": "online",
  "processing_mode": "manual",
  "status": "created",
  "status_detail": "accredited",
  "external_reference": "ext_ref_1234",
  "total_amount": "50.00",
  "total_paid_amount": "50.00",
  "marketplace_fee": "11.20",
  "checkout_url": "https://www.mercadopago.com.ar/checkout/v1/redirect?order_id=ORDTST01KS5AJ6HTK2HRQ3XJ3C2JCKP9",
  "expiration_time": "P1D",
  "country_code": "PE",
  "user_id": "12345",
  "currency": "PEN",
  "capture_mode": "automatic_async",
  "client_token": "eyJhbGciOiJSUzI1NiIs...",
  "created_date": "2024-08-26T13:06:51.045317772Z",
  "last_updated_date": "2024-08-26T13:06:51.045317772Z",
  "integration_data": {
    "application_id": "8772548647196351",
    "integrator_id": "dev_123",
    "platform_id": "1234567890",
    "sponsor": {
      "id": "446566691"
    }
  },
  "config": {
    "online": {
      "callback_url": "https://www.example.com/",
      "success_url": "https://www.example.com/success",
      "failure_url": "https://www.example.com/failure",
      "pending_url": "https://www.example.com/pending",
      "available_from": "2026-05-16T18:32:00Z",
      "auto_return": "approved",
      "retries": {
        "allowed": false
      }
    },
    "payment_method": {
      "max_installments": 12,
      "not_allowed_ids": [
        "amex"
      ],
      "not_allowed_types": [
        "ticket"
      ],
      "default_type": "credit_card",
      "installments_cost": "seller",
      "installments": {
        "interest_free": {
          "type": "range",
          "values": [
            2,
            6
          ]
        },
        "available": {
          "type": "all"
        }
      }
    }
  },
  "items": [
    {
      "external_code": "ITEM-001",
      "title": "Product 001",
      "description": "Product description",
      "category_id": "travels",
      "picture_url": "https://example.com/img.jpg",
      "quantity": 1,
      "unit_price": "1000.00",
      "type": "travel",
      "warranty": true,
      "event_date": "2014-06-28T16:53:03.176-04:00"
    }
  ],
  "description": "Travel package SAO-RIO with insurance"
}